Change log for magit package in Ubuntu

133 of 33 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-13
Deleted in disco-proposed (Reason: moved to release)
magit (2.90.1-2) unstable; urgency=medium

  * Remove emacs24 and emacs25 from Enhances
  * Use nil as default for magit-repository-directories 
    fix: "magit-status doesn't honor path auto-completion
    anymore", thanks to Matteo F. Vescovi (Closes: #914137).

 -- Rémi Vanicat <email address hidden>  Sat, 09 Feb 2019 08:17:36 +0100

Available diffs

Superseded in disco-release on 2019-02-13
Deleted in disco-proposed on 2019-02-14 (Reason: moved to release)
magit (2.90.1-1) unstable; urgency=medium

  * New upstream version
  * Update patches metadata
  * Update debian/docs file
  * Update debian/elpa-magit.elpa file
  * Update debian/watch to add the v in the version

 -- Rémi Vanicat <email address hidden>  Sat, 17 Nov 2018 23:05:08 +0100

Available diffs

Superseded in disco-release on 2018-11-23
Published in cosmic-release on 2018-07-20
Deleted in cosmic-proposed (Reason: moved to release)
magit (2.13.0-3) unstable; urgency=medium

  * Fix for Lintian:
    - change dependency on debhelper
    - put magit transitional package in optional
  * Standards-Version: 4.1.4, no change needed
  * Use https for magit home page
  * Change maintainer to the current mailing list

 -- Rémi Vanicat <email address hidden>  Mon, 09 Jul 2018 10:16:38 +0200

Available diffs

Superseded in cosmic-release on 2018-07-20
Deleted in cosmic-proposed on 2018-07-22 (Reason: moved to release)
magit (2.13.0-2) unstable; urgency=medium

  * Run test: set GIT_COMMITTER_EMAIL and GIT_AUTHOR_EMAIL to let test run
    even if machine has no domain (Closes: #902640),
    thanks to Santiago Vila <email address hidden>

 -- Rémi Vanicat <email address hidden>  Fri, 29 Jun 2018 08:50:29 +0200

Available diffs

Superseded in cosmic-release on 2018-07-02
Deleted in cosmic-proposed on 2018-07-03 (Reason: moved to release)
magit (2.13.0-1) unstable; urgency=medium

  * New upstream version
  * Run test:
    * Depend on git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub
    * Set some variable (locale, and GIT variables)
    * Ensure tramp test do not write in ~/

 -- Rémi Vanicat <email address hidden>  Sat, 09 Jun 2018 18:52:31 +0200

Available diffs

Superseded in cosmic-release on 2018-06-27
Published in bionic-release on 2017-11-27
Deleted in bionic-proposed (Reason: moved to release)
magit (2.11.0-1) unstable; urgency=medium

  * New upstream version
  * Add magit-bookmark.el and magit-imenu.el to elpa-magit

 -- Rémi Vanicat <email address hidden>  Sat, 16 Sep 2017 14:57:13 +0200

Available diffs

Superseded in bionic-release on 2017-11-27
Published in artful-release on 2017-09-11
Deleted in artful-proposed (Reason: moved to release)
magit (2.10.3-1) unstable; urgency=medium

  * New upstream version
  * Normal elpa dependency for dash
  * Build depend on newer dh-elpa
  * Enhances: emacs, emacs24, emacs25 and git
  * Standards-Version: 4.0.0, no change needed

 -- Rémi Vanicat <email address hidden>  Mon, 19 Jun 2017 17:16:59 +0200

Available diffs

Superseded in artful-release on 2017-09-11
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
magit (2.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <email address hidden>  Wed, 01 Feb 2017 21:47:01 +0100

Available diffs

Superseded in zesty-release on 2017-02-02
Deleted in zesty-proposed on 2017-02-04 (Reason: moved to release)
magit (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * Add files new in this upstream version to d/elpa-magit.elpa.

 -- Sean Whitton <email address hidden>  Sun, 15 Jan 2017 10:34:53 -0700

Available diffs

Superseded in zesty-release on 2017-01-16
Deleted in zesty-proposed on 2017-01-17 (Reason: moved to release)
magit (2.10.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix typo in elpa-git-commit's description.

  [ Rémi Vanicat ]
  * New upstream version
  * debian/watch: dowload the "source" archive
  * Build tested with emacs25: no change needed

 -- Rémi Vanicat <email address hidden>  Sun, 15 Jan 2017 10:45:04 +0100

Available diffs

Superseded in zesty-release on 2017-01-15
Deleted in zesty-proposed on 2017-01-16 (Reason: moved to release)
magit (2.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <email address hidden>  Fri, 09 Dec 2016 11:27:27 +0100

Available diffs

Superseded in zesty-release on 2016-12-10
Deleted in zesty-proposed on 2016-12-11 (Reason: moved to release)
magit (2.8.0-1) unstable; urgency=medium

  * New upstream version
  * use dh-elpa to find upstream version

 -- Rémi Vanicat <email address hidden>  Thu, 15 Sep 2016 20:11:09 +0200

Available diffs

Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
magit (2.7.0-1) unstable; urgency=medium

  * Use dh-elpa for generating *-pkg.el files
    needed for better version management
  * Using Built-Using
  * New upstream version

 -- Rémi Vanicat <email address hidden>  Sat, 21 May 2016 14:29:11 +0200

Available diffs

Superseded in yakkety-release on 2016-05-22
Deleted in yakkety-proposed on 2016-05-23 (Reason: moved to release)
magit (2.6.2-1) unstable; urgency=low

  * Standards-Version: 3.9.8, no change needed
  * New upstream version

 -- Rémi Vanicat <email address hidden>  Fri, 06 May 2016 17:52:58 +0200

Available diffs

Superseded in yakkety-release on 2016-05-07
Deleted in yakkety-proposed on 2016-05-08 (Reason: moved to release)
magit (2.6.1-1) unstable; urgency=low

  * Standards-Version: 3.9.7, no changec needed
  * New upstream version

 -- Rémi Vanicat <email address hidden>  Fri, 15 Apr 2016 00:05:12 +0200

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2016-02-14
Deleted in xenial-proposed (Reason: moved to release)
magit (2.5.0-2) unstable; urgency=medium

  * Add Breaks on older magit to make piupart happy (Closes: #814620)

 -- Rémi Vanicat <email address hidden>  Sun, 14 Feb 2016 10:10:12 +0100

Available diffs

Superseded in xenial-release on 2016-02-14
Deleted in xenial-proposed on 2016-02-15 (Reason: moved to release)
magit (2.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <email address hidden>  Sun, 31 Jan 2016 12:25:04 +0100

Available diffs

Superseded in xenial-release on 2016-02-02
Deleted in xenial-proposed on 2016-02-03 (Reason: moved to release)
magit (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Bug fix: "missing info files", thanks to David Bremner (Closes:
    #806499).

 -- Rémi Vanicat <email address hidden>  Thu, 21 Jan 2016 19:24:14 +0100

Available diffs

Superseded in xenial-release on 2016-01-22
Deleted in xenial-proposed on 2016-01-23 (Reason: moved to release)
magit (2.3.1-2) unstable; urgency=medium

  * Use dh --with elpa

 -- Barak A. Pearlmutter <email address hidden>  Sun, 06 Dec 2015 16:15:37 +0000

Available diffs

Superseded in xenial-release on 2015-12-07
Deleted in xenial-proposed on 2015-12-08 (Reason: moved to release)
magit (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt
    (Closes: #804654).
  * Adding some code in prerm for problem when upgrading from elpa-magit
    2.2.2-3. Fix: "pre-removal script fails: “No such file or directory”
    for ‘site-lisp’ entries", thanks to Ben Finney (Closes: #803606).

 -- Rémi Vanicat <email address hidden>  Wed, 11 Nov 2015 16:56:48 +0100

Available diffs

Superseded in xenial-release on 2015-11-13
Deleted in xenial-proposed on 2015-11-14 (Reason: moved to release)
magit (2.3.0-2) unstable; urgency=medium

  * Change the elpa version

 -- Rémi Vanicat <email address hidden>  Sat, 31 Oct 2015 16:51:39 +0100

Available diffs

Superseded in xenial-release on 2015-10-31
Deleted in xenial-proposed on 2015-11-02 (Reason: moved to release)
magit (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Rémi Vanicat <email address hidden>  Fri, 30 Oct 2015 12:59:28 +0100

Available diffs

Superseded in xenial-release on 2015-10-30
Deleted in xenial-proposed on 2015-11-01 (Reason: moved to release)
magit (2.2.2-3) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * refresh missing upstream repo file patch from 2.2.2

  [ Rémi Vanicat ]
  * Using dh-elpa
  * Update uploaders, thanks to Marius and Teemu for the past help.

 -- Rémi Vanicat <email address hidden>  Tue, 15 Sep 2015 18:33:25 +0200

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-22 (Reason: moved to release)
magit (1.2.1-1) unstable; urgency=low


  * New upstream release.
  * debian/watch: Use releases from Github and use HTTPS.
  * Add emacsen.compat file (emacsen policy 2.0.8).
  * Don't depend on dpkg, install-info (policy 3.9.5).
  * Depend on emacsen-common, not emacs (emacsen policy 2.0.8)
    (closes: #754019).
  * Bump standards-version to 3.9.5.
  * Use custom-set-faces instead of setq in example (closes: #720883).
  * Use canonical Vcs addresses to make lintian happy.
  * Drop bug-718861.patch since new upstream version contains it.
  * Depend on git instead of transitional git-core package.
  * Build-Depend on emacs instead of emacs23 since emacs23 is going
    to be removed.

 -- Timo Juhani Lindfors <email address hidden>  Fri, 25 Jul 2014 17:25:43 +0000

Available diffs

Superseded in utopic-release on 2014-07-26
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
magit (1.2.0-2) unstable; urgency=low


  * Backport patch to fix incompatibility with emacs-snapshot 24.3.50
    (Closes: #718861)
    - bug-718861.patch

 -- Timo Juhani Lindfors <email address hidden>  Tue, 06 Aug 2013 12:27:17 +0300

Available diffs

Superseded in saucy-release on 2013-08-12
Deleted in saucy-proposed on 2013-08-13 (Reason: moved to release)
magit (1.2.0-1) unstable; urgency=low


  * Upload to unstable.

 -- Timo Juhani Lindfors <email address hidden>  Mon, 13 May 2013 19:36:29 +0000

Available diffs

Superseded in saucy-release on 2013-05-14
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
magit (1.1.1-3) unstable; urgency=low


  * Add emacs24 to the list of supported emacs versions (closes: #679781)

 -- Timo Juhani Lindfors <email address hidden>  Mon, 02 Jul 2012 16:19:41 +0300

Available diffs

Superseded in quantal-release on 2012-07-04
magit (1.1.1-2) unstable; urgency=low


  * Backport upstream commit c8cfaf37b7c142edc6714d86691b8720f2606328
    for autogenerating autoloads (closes: #671922).
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Update upstream homepage URL.
  * Remove DM-Upload-Allowed.

 -- Timo Juhani Lindfors <email address hidden>  Mon, 21 May 2012 14:35:24 +0000

Available diffs

Superseded in quantal-release on 2012-05-30
magit (1.1.1-1) unstable; urgency=low


  [ Timo Juhani Lindfors]
  * New upstream release.

  [ Rémi Vanicat ]
  * Install contrib .el files

 -- Timo Juhani Lindfors <email address hidden>  Mon, 23 Jan 2012 09:31:11 +0200

Available diffs

Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-17
magit (1.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Drop article from package description to make lintian happy.
  * Add patch inherit-standard-faces.diff
    - Backport upstream commit 3d0ea1d60fbc0a8135e2146418c0c64c9d05705a
      to use standard faces where possible (closes: #637193).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:14:11 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
magit (1.0.0-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release.
  * Drop support for emacsen other than emacs23 or emacs-snapshot
    (closes: #619480).

  [ Teemu Hukkanen ]
  * Add DM-Upload-Allowed.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
magit (0.7-1.1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * Non-maintainer upload.
  * (Including pending maintainer changes, in wait of sponsoring.)
  * Bump Standard-Version to 3.8.4 (no changes needed)
  * Add Build-Dep on autoconf and automake, to support "autoreconf -fi"
  * debian/rules: install NEWS as upstream changelog
  * debian/docs: install README and AUTHORS as documentation

  [ Marius Vollmer ]
  * Added Homepage, Vcs-Git, and Vcs-Browser fields.
  * Added git-core and emacs to Depends (closes: 529040).
  * Use /usr/bin/emacsclient always (closes: 530266).
  * Don't include /usr/share/info/dir.gz (closes: 549590).
  * Switched to source format 3.0 (quilt).
  * Don't ship any generated files; instead,
    call autoreconf from debian/rules.
 -- Luke Faraone <email address hidden>   Mon,  22 Mar 2010 18:43:51 +0000

Available diffs

Superseded in lucid-release on 2010-03-22
Obsolete in karmic-release on 2013-03-04
magit (0.7-1) unstable; urgency=low

  * first official debian upload (closes: #518818)

  [ RISKO Gergely ]
  * pointer added to GFDL-1.2 in debian/copyright
  * changed debian/compat to 7
  * standards-version to 3.8.1

  [ Marius Vollmer ]
  * Follow Debian Emacsen policy.
    - Use scripts in /usr/lib/emacsen-common/packages to
      byte-compile during installation.
  * List all authors in debian/copyright.
  * Lintian fixes.

  New upstream release.
  
  * Tagging, on 't' and 'T'.

  * Stashing, on 'z' and 'Z'.

  * Wazzup, on 'w'.  Wazzup gives you an overview over how other
    branches relate to the current one.

  * There is more control over pushing.  'P' now takes a prefix argument
    and pushing a branch without a default remote will ask for one.

  * Logs have changed a bit: 'l' shows the traditional brief log, and
    'L' shows a more verbose log.  Use the prefix arg to specify the
    range of the log.

  * M-x magit-status doesn't prompt anymore for a directory when invoked
    from within a Git repository.  Use C-u to force a prompt.

  * When you have nothing staged, 'c' will now explicitly ask whether to
    commit everything instead of just going ahead and do it.  This can
    be customized.

  * The digit keys '1', '2', '3', and '4' now show sections on the
    respective level and hide everything below.  With Meta, they work on
    all sections; without, they work only on sections that are a parent
    or child of the current section.

  * Typing '+' and '-' will change the size of hunks, via the "-U"
    option to git diff.  '0' resets hunks to their default size.

  * Typing 'k' on the "Untracked files" section title will offer to
    delete all untracked files.

  * Magit understands a bit of git-svn: the status buffer shows unpushed
    and unpulled commits, 'N r' runs git svn rebase, and 'N c' runs git
    svn dcommit.

  * Magit now also works when the direcory is accessed via tramp.

  * M-x magit-status can also create new repositories when given a
    directory that is not a Git repository.

  * Magit works better with oldish Gits that don't understand "--graph",
    for example.

  * The name of the Git program and common options for it can be
    customized.

133 of 33 results